Subject: bug#7517: 24.0.50; repeated crash under Mac OS X

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 Jan 2011 13:57:15 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: emacs user <[email-masked]>,  Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked],  "Uday S. Reddy" <[email-masked]>
> Date: Fri, 31 Dec 2010 18:07:22 -0500
> 
> I'd tend to agree.  ENCODE_UTF_8 is used for things where we *really*
> want the output to be proper utf-8, so any char outside of utf-8
> (e.g. an eight-bit char) should result in something else than a raw byte
> in the output.

The only thing it can do is output the replacement character U+FFFD,
or `?', or characters in the range U+DC80..U+DCFF.  I tend to think
that `?' is the best alternative.

> This is contrary to what we do for utf-8 files

So we should have a different encoding symbol for these two variants.

I still maintain that VM should do better in this case.  I don't think
we have a clear idea of what happened in this particular crash, so
perhaps is too soon to forget about VM's part.